﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Documents.Word;

namespace _127125
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            for (int i = 0; i < 5; i++)
            {
                dt.Columns.Add(string.Format("Column {0}", i)).DefaultValue = "Text";
            }

            for (int i = 0; i < 50; i++)
            {
                dt.Rows.Add();
            }

            ultraGrid1.DataSource = dt;



        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Create a new instance of the WordDocumentWriter class
            // using the static 'Create' method.
            // After writing content, this instance must be closed.
            WordDocumentWriter wordDocWriter = WordDocumentWriter.Create(@"C:\GridDataInWord.docx");
            
            // Create an instance of the Font class
            Infragistics.Documents.Word.Font font = wordDocWriter.CreateFont();
            // Start the document...note that each call to
            // StartDocument must be balanced with a corresponding
            // call to EndDocument.
            wordDocWriter.StartDocument();
            // Begin a paragraph. This must be
            // balanced with a corresponding call to EndParagraph.
            wordDocWriter.StartParagraph();
            font.Reset();
            font.Bold = true;
            wordDocWriter.AddTextRun("Categories of Consumer Products", font);
            wordDocWriter.AddNewLine();
            font.Reset();
            wordDocWriter.AddTextRun("In addition to categorizing by type of offering, most products intended for consumer use can be further categorized by how frequently and where they are purchased.");
            // End paragraph
            wordDocWriter.EndParagraph();
            wordDocWriter.AddEmptyParagraph();
            // Call the Export method on WinGridWordWriter and
            // pass the Grid control and WordDocumentWriter object as parameters. 
            this.ultraGridWordWriter1.Export(ultraGrid1, wordDocWriter); 

            // End the Document
            wordDocWriter.EndDocument();
            // Close the writer and finalize content
            wordDocWriter.Close();
            
        }
    }
}
